Subject: Re: [PATCH net-next 00/13] selftests: ncdevmem: Add ncdevmem to ksft

From: Stanislav Fomichev <[email-masked]>
Date: Thu, 12 Dec 2024 17:18:57 -0800

On 09/12, Stanislav Fomichev wrote:
> On 09/12, Mina Almasry wrote:
> > On Thu, Sep 12, 2024 at 12:48 PM Stanislav Fomichev
> > <[email-masked]> wrote:
> > >
> > > On 09/12, Stanislav Fomichev wrote:
> > > > The goal of the series is to simplify and make it possible to use
> > > > ncdevmem in an automated way from the ksft python wrapper.
> > > >
> > > > ncdevmem is slowly mutated into a state where it uses stdout
> > > > to print the payload and the python wrapper is added to
> > > > make sure the arrived payload matches the expected one.
> > >
> > > Mina, what's your plan/progress on the upstreamable TX side? I hope
> > > you're still gonna finish it up?
> > >
> > 
> > I'm very open to someone pushing the TX side, but there is a bit of a
> > need here to get the TX side done sooner than later. In reality I
> > don't think anyone cares as much as me to push this ASAP so I
> > plan/hope to look into it. I have made some progress but a bit to be
> > worked through at the moment. I hope to have something ready as the
> > merge window reopens; very likely doable.
> 
> Perfect!

Hey Mina,

Any updates on this? Any chance getting something out this merge window?

I was hoping you'd post something in the previous merge window (late Sep),
but if you're still busy with other things, should I post a v2 RFC? I have
moved to the mode which you suggested where tx dmabuf is associated
with the socket; this lets me drop all tx ref counts (socket holds
dmabuf, skb holds socket until tx completion). I also moved to a
more performant offset->dma_addr resolution logic in tcp_sendmsg and
fixed a bunch of things on the test side...